"""
Module EEPAS1FOneYearModel
"""

__version__ = "$Revision$"
__revision__ = "$Id$"

from EEPASOneYearModel import EEPASOneYearModel


#--------------------------------------------------------------------------------
#
# EEPAS-1F forecast model.
#
# This class is designed to invoke three-months EEPAS forecast model. 
# It uses 'eepas_1f.par' configuration for the run. It has model weights
# enabled.
#
class EEPAS1FOneYearModel (EEPASOneYearModel):

    # Static data of the class
    
    # Keyword identifying the type of the forecast
    Type = EEPASOneYearModel.Type + "-1F"
    
    
    #--------------------------------------------------------------------
    #
    # Initialization.
    #
    # Input: 
    #        dir_path - Directory to store forecast file to.
    #        args - Optional arguments for the model. Default is None.
    # 
    def __init__ (self, dir_path, args = None):
        """ Initialization for EEPAS1FModel class"""
        
        use_weigths = 1
        EEPASOneYearModel.__init__(self, 
                                   dir_path, 
                                   args, 
                                   "nzeepas_1f.par", 
                                   use_weigths)
        

    #----------------------------------------------------------------------------
    #
    # Return keyword identifying the model.
    #
    # Input: None.
    #
    # Output:
    #           String identifying the type
    #
    def type (self):
        """ Returns keyword identifying the forecast model type."""
        
        return EEPAS1FOneYearModel.Type

